<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>BSI FIDELIO eService: de.persoapp.core.util.ArrayTool Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">BSI FIDELIO eService
   &#160;<span id="projectnumber">1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">de.persoapp.core.util.ArrayTool Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8f01a7a4e0bf3265ffeb0c6bdbf3dee2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a8f01a7a4e0bf3265ffeb0c6bdbf3dee2">ArrayTool</a> ()</td></tr>
<tr class="separator:a8f01a7a4e0bf3265ffeb0c6bdbf3dee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a9ceb79f761d025ca06139ee6935420c6"><td class="memItemLeft" align="right" valign="top">static final byte []&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6">arrayconcat</a> (final byte[] b1, final int offset1, final int length1, final byte[] b2, final int offset2, final int length2)</td></tr>
<tr class="separator:a9ceb79f761d025ca06139ee6935420c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a942efe96c0b683a66fb4cf688e3dce09"><td class="memItemLeft" align="right" valign="top">static final byte []&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a942efe96c0b683a66fb4cf688e3dce09">arrayconcat</a> (final byte[] b1, final byte[] b2)</td></tr>
<tr class="separator:a942efe96c0b683a66fb4cf688e3dce09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a210e2647c65a7c2fc7d901dc6b5f45"><td class="memItemLeft" align="right" valign="top">static final byte []&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a4a210e2647c65a7c2fc7d901dc6b5f45">subArray</a> (final byte[] b1, final int offset, final int length)</td></tr>
<tr class="separator:a4a210e2647c65a7c2fc7d901dc6b5f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af37f37c46157e1c97111a567c0f1157c"><td class="memItemLeft" align="right" valign="top">static final boolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#af37f37c46157e1c97111a567c0f1157c">arrayequal</a> (final byte[] b1, final byte[] b2)</td></tr>
<tr class="separator:af37f37c46157e1c97111a567c0f1157c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90ee2bbd646eb871812dd77655746842"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a90ee2bbd646eb871812dd77655746842">insertShortInByteArray</a> (final byte[] b, final int ofs, final int s)</td></tr>
<tr class="separator:a90ee2bbd646eb871812dd77655746842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7021c7761a272d5e363160fc7fbae068"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7021c7761a272d5e363160fc7fbae068">insertIntInByteArray</a> (final byte[] b, final int ofs, final int i)</td></tr>
<tr class="separator:a7021c7761a272d5e363160fc7fbae068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd453fca20cabeb9378d3d50f22c8b0"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7fd453fca20cabeb9378d3d50f22c8b0">insertLongInByteArray</a> (final byte[] b, final int ofs, final long l)</td></tr>
<tr class="separator:a7fd453fca20cabeb9378d3d50f22c8b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba1549cb16d357a4bf41a8061038b41"><td class="memItemLeft" align="right" valign="top">static short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#aeba1549cb16d357a4bf41a8061038b41">createShortfromByteArray</a> (final byte[] b, final int ofs)</td></tr>
<tr class="separator:aeba1549cb16d357a4bf41a8061038b41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace7e1e9b6a6e764d9a0a8953ac29d291"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ace7e1e9b6a6e764d9a0a8953ac29d291">createIntfromByteArray</a> (final byte[] b, final int ofs)</td></tr>
<tr class="separator:ace7e1e9b6a6e764d9a0a8953ac29d291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9da62abfac05cc660a108a53c07929bd"><td class="memItemLeft" align="right" valign="top">static long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9da62abfac05cc660a108a53c07929bd">createLongfromByteArray</a> (final byte[] b, final int ofs)</td></tr>
<tr class="separator:a9da62abfac05cc660a108a53c07929bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88fe9ee17eb8ea0520647df94379602"><td class="memItemLeft" align="right" valign="top">static final void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ab88fe9ee17eb8ea0520647df94379602">overwrite</a> (final byte[] b)</td></tr>
<tr class="separator:ab88fe9ee17eb8ea0520647df94379602"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The <a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">ArrayTool</a> provides utility functions to alter arrays. </p>
<dl class="section author"><dt>Author</dt><dd>Christian Kahlo </dd>
<dd>
Rico Klimsa - added javadoc comments. </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00059">59</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8f01a7a4e0bf3265ffeb0c6bdbf3dee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f01a7a4e0bf3265ffeb0c6bdbf3dee2">&#9670;&nbsp;</a></span>ArrayTool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">de.persoapp.core.util.ArrayTool.ArrayTool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a new instance of <a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">ArrayTool</a>. </p>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00064">64</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9ceb79f761d025ca06139ee6935420c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ceb79f761d025ca06139ee6935420c6">&#9670;&nbsp;</a></span>arrayconcat() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static final byte [] de.persoapp.core.util.ArrayTool.arrayconcat </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>offset1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>length1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>offset2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>length2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function concatenates two arrays together. The arrays are obtained at the provided starting offset of the provided source arrays according to each length attribute. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b1</td><td><ul>
<li>The first byte-array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">offset1</td><td><ul>
<li>The starting offset of the data from the first source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">length1</td><td><ul>
<li>The length of the data, which will be copied. </li>
</ul>
</td></tr>
    <tr><td class="paramname">b2</td><td><ul>
<li>The second byte-array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">offset2</td><td><ul>
<li>The starting offset of the data from the second source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">length2</td><td><ul>
<li>The length of the data, which will be copied. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The concatenated array. Returns <b>null</b> if an provided array is <b>null</b> or the starting offset and the estimated length exceeds the length of the specified source array. </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00091">91</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a9ceb79f761d025ca06139ee6935420c6_icgraph.png" border="0" usemap="#classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a9ceb79f761d025ca06139ee6935420c6_icgraph" alt=""/></div>
<map name="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a9ceb79f761d025ca06139ee6935420c6_icgraph" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a9ceb79f761d025ca06139ee6935420c6_icgraph">
<area shape="rect" id="node2" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_e_c_tool.html#acc6de5c5d0c133946d881e24baf68893" title="de.bund.bsi.fidelio.poc.core.crypto.\lECTool.ECTool" alt="" coords="232,5,456,47"/>
<area shape="rect" id="node3" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_e_c_tool.html#a84722d69cec90419526bd98cd52b4f71" title="de.bund.bsi.fidelio.poc.core.crypto.\lECTool.sign" alt="" coords="232,71,456,112"/>
<area shape="rect" id="node5" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a942efe96c0b683a66fb4cf688e3dce09" title="de.persoapp.core.util.Array\lTool.arrayconcat" alt="" coords="255,136,433,177"/>
<area shape="rect" id="node4" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_crypto_profile.html#a1b1dd90e8c5eef9b33664995c24c4cb0" title="de.bund.bsi.fidelio.poc.core.crypto.\lCryptoProfile.S" alt="" coords="504,71,728,112"/>
</map>
</div>

</div>
</div>
<a id="a942efe96c0b683a66fb4cf688e3dce09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a942efe96c0b683a66fb4cf688e3dce09">&#9670;&nbsp;</a></span>arrayconcat() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static final byte [] de.persoapp.core.util.ArrayTool.arrayconcat </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function concatenates two given byte-arrays, with the given order of elements. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b1</td><td><ul>
<li>The first byte-array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">b2</td><td><ul>
<li>The second byte-array. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The concatenated byte-array.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">arrayconcat(byte[], int, int, byte[], int, int)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00117">117</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a942efe96c0b683a66fb4cf688e3dce09_cgraph.png" border="0" usemap="#classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a942efe96c0b683a66fb4cf688e3dce09_cgraph" alt=""/></div>
<map name="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a942efe96c0b683a66fb4cf688e3dce09_cgraph" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a942efe96c0b683a66fb4cf688e3dce09_cgraph">
<area shape="rect" id="node2" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6" title="de.persoapp.core.util.Array\lTool.arrayconcat" alt="" coords="232,5,411,47"/>
</map>
</div>

</div>
</div>
<a id="af37f37c46157e1c97111a567c0f1157c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af37f37c46157e1c97111a567c0f1157c">&#9670;&nbsp;</a></span>arrayequal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static final boolean de.persoapp.core.util.ArrayTool.arrayequal </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Evaluates the equality of the provided byte arrays. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b1</td><td><ul>
<li>The first array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">b2</td><td><ul>
<li>The second array.</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>This function returns <b>true</b> if the arrays are equal and <b>false</b> otherwise. </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00158">158</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_af37f37c46157e1c97111a567c0f1157c_icgraph.png" border="0" usemap="#classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_af37f37c46157e1c97111a567c0f1157c_icgraph" alt=""/></div>
<map name="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_af37f37c46157e1c97111a567c0f1157c_icgraph" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_af37f37c46157e1c97111a567c0f1157c_icgraph">
<area shape="rect" id="node2" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a83ae9d0b6be48297750dfc3392adaa5c" title="de.persoapp.core.util.TLV.get" alt="" coords="237,15,429,42"/>
<area shape="rect" id="node4" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a57993f074744aa2615b307a51e62a83f" title="de.persoapp.core.util.TLV.getM" alt="" coords="232,67,435,94"/>
<area shape="rect" id="node3" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a7ce74ada00e9227bb5d81650068bd6c0" title="de.persoapp.core.util.TLV.get\lString" alt="" coords="488,5,680,47"/>
<area shape="rect" id="node5" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#af48729a46a3960f7ea1f909731ec6069" title="de.persoapp.core.util.TLV.getM" alt="" coords="483,71,685,98"/>
</map>
</div>

</div>
</div>
<a id="ace7e1e9b6a6e764d9a0a8953ac29d291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace7e1e9b6a6e764d9a0a8953ac29d291">&#9670;&nbsp;</a></span>createIntfromByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int de.persoapp.core.util.ArrayTool.createIntfromByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function creates an integer value by using the contents of the source array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created integer value.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">#createShortfromByteArray(byte[], int) </a></dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00278">278</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="a9da62abfac05cc660a108a53c07929bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9da62abfac05cc660a108a53c07929bd">&#9670;&nbsp;</a></span>createLongfromByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static long de.persoapp.core.util.ArrayTool.createLongfromByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function creates an long value by using the contents of the source array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created long-value.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">createIntfromByteArray(byte[], int)</a> </dd>
<dd>
<a class="el" href="">createShortfromByteArray(byte[], int)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00300">300</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="aeba1549cb16d357a4bf41a8061038b41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba1549cb16d357a4bf41a8061038b41">&#9670;&nbsp;</a></span>createShortfromByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static short de.persoapp.core.util.ArrayTool.createShortfromByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function creates an short value by using the contents of the source array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created short value.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">createIntfromByteArray(byte[], int)</a> </dd>
<dd>
<a class="el" href="">createLongfromByteArray(byte[], int)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00257">257</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="a7021c7761a272d5e363160fc7fbae068"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7021c7761a272d5e363160fc7fbae068">&#9670;&nbsp;</a></span>insertIntInByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void de.persoapp.core.util.ArrayTool.insertIntInByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function inserts the provided integer value into the given byte array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The array, to modify. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
    <tr><td class="paramname">i</td><td><ul>
<li>The valuek, to insert.</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">insertShortInByteArray(byte[], int, short)</a> </dd>
<dd>
<a class="el" href="">insertLongInByteArray(byte[], int, long)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00208">208</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="a7fd453fca20cabeb9378d3d50f22c8b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fd453fca20cabeb9378d3d50f22c8b0">&#9670;&nbsp;</a></span>insertLongInByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void de.persoapp.core.util.ArrayTool.insertLongInByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final long&#160;</td>
          <td class="paramname"><em>l</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function inserts the provided long value into the given byte array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The array, to modify. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
    <tr><td class="paramname">i</td><td><ul>
<li>The value, to insert.</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">insertShortInByteArray(byte[], int, short)</a> </dd>
<dd>
<a class="el" href="">insertIntInByteArray(byte[], int, int)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00231">231</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="a90ee2bbd646eb871812dd77655746842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90ee2bbd646eb871812dd77655746842">&#9670;&nbsp;</a></span>insertShortInByteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void de.persoapp.core.util.ArrayTool.insertShortInByteArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>ofs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>s</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function inserts the provided short value into the given byte array at the starting offset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The array, to modify. </li>
</ul>
</td></tr>
    <tr><td class="paramname">ofs</td><td><ul>
<li>The offset, to start. </li>
</ul>
</td></tr>
    <tr><td class="paramname">s</td><td><ul>
<li>The value, to insert.</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="">insertIntInByteArray(byte[], int, int)</a> </dd>
<dd>
<a class="el" href="">insertLongInByteArray(byte[], int, long)</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00187">187</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="ab88fe9ee17eb8ea0520647df94379602"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab88fe9ee17eb8ea0520647df94379602">&#9670;&nbsp;</a></span>overwrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static final void de.persoapp.core.util.ArrayTool.overwrite </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Overrides the content of the given byte array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td><ul>
<li>The array, to overwrite. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00318">318</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>

</div>
</div>
<a id="a4a210e2647c65a7c2fc7d901dc6b5f45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a210e2647c65a7c2fc7d901dc6b5f45">&#9670;&nbsp;</a></span>subArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static final byte [] de.persoapp.core.util.ArrayTool.subArray </td>
          <td>(</td>
          <td class="paramtype">final byte []&#160;</td>
          <td class="paramname"><em>b1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">final int&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function returns a subarray of the given byte-array. The subarray is defined through the starting offset and the given length. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b1</td><td><ul>
<li>The source array. </li>
</ul>
</td></tr>
    <tr><td class="paramname">offset</td><td><ul>
<li>The starting offset. </li>
</ul>
</td></tr>
    <tr><td class="paramname">length</td><td><ul>
<li>The length of the subarray. </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>This function returns the subarray of the data which is defined by the provided starting offset and the related length. </dd></dl>

<p class="definition">Definition at line <a class="el" href="_array_tool_8java_source.html#l00136">136</a> of file <a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a4a210e2647c65a7c2fc7d901dc6b5f45_icgraph.png" border="0" usemap="#classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a4a210e2647c65a7c2fc7d901dc6b5f45_icgraph" alt=""/></div>
<map name="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a4a210e2647c65a7c2fc7d901dc6b5f45_icgraph" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_a4a210e2647c65a7c2fc7d901dc6b5f45_icgraph">
<area shape="rect" id="node2" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_e_c_tool.html#acc6de5c5d0c133946d881e24baf68893" title="de.bund.bsi.fidelio.poc.core.crypto.\lECTool.ECTool" alt="" coords="232,5,456,47"/>
<area shape="rect" id="node3" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_f_i_d_e_l_i_o.html#a4cdb8a1607536210bd202223dbbf3493" title="de.bund.bsi.fidelio.poc.service.\lFIDELIO.doFIDOeID" alt="" coords="245,71,443,112"/>
<area shape="rect" id="node4" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a83ae9d0b6be48297750dfc3392adaa5c" title="de.persoapp.core.util.TLV.get" alt="" coords="248,137,440,163"/>
<area shape="rect" id="node6" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a57993f074744aa2615b307a51e62a83f" title="de.persoapp.core.util.TLV.getM" alt="" coords="243,189,445,215"/>
<area shape="rect" id="node5" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#a7ce74ada00e9227bb5d81650068bd6c0" title="de.persoapp.core.util.TLV.get\lString" alt="" coords="509,127,701,168"/>
<area shape="rect" id="node7" href="classde_1_1persoapp_1_1core_1_1util_1_1_t_l_v.html#af48729a46a3960f7ea1f909731ec6069" title="de.persoapp.core.util.TLV.getM" alt="" coords="504,193,707,219"/>
</map>
</div>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Development/workspaces/adesso/eService/src/de/persoapp/core/util/<a class="el" href="_array_tool_8java_source.html">ArrayTool.java</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacede.html">de</a></li><li class="navelem"><a class="el" href="namespacede_1_1persoapp.html">persoapp</a></li><li class="navelem"><a class="el" href="namespacede_1_1persoapp_1_1core.html">core</a></li><li class="navelem"><a class="el" href="namespacede_1_1persoapp_1_1core_1_1util.html">util</a></li><li class="navelem"><a class="el" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">ArrayTool</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
